$base-bg-color: #151f2e;
$left: 15%;

.container {
  position: relative;
}

.toolbar {
  position: absolute;
  width: 100%;
  top: 0;
  z-index: 10;
}

.banner {
  width: 100%;
  margin-top: -3.5rem;
}

.description {
  background: $base-bg-color;
  box-sizing: border-box;
  height: 100%;
  width: 100%;
  margin: 0;
  margin-top: -1rem;
  padding-top: 2rem;
  position: relative;
}

.cover-image {
  position: absolute;
  z-index: 1;
  top: -3rem;
  left: 3rem;
  margin: auto;
}
.content,
.tabs {
  margin: auto;
  width: 40%;
}

.tabs {
  padding: 5rem 0 1rem 0;
}

.tabs span {
  margin-right: 10rem;
}

.full-data {
  max-width: 1320px;
  margin: 2rem auto;
  display: flex;
  justify-content: flex-start;
}

.left-side-container {
  width: 20%;
  margin-right: 3rem;
}

.media-container {
  width: 100%;
}

.rankings,
.stats,
.tag,
.external-links {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  background: $base-bg-color;
  padding: 0.5rem 0.8rem;
  border-radius: 3px;
}

.stats {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

.stat {
  display: flex;
  flex-direction: column;
}

.stat-value,
.stat-label {
  font-size: 12px;
}

.stat-label {
  font-weight: bold;
}

.stat-value {
  font-size: 12px;
}

#show-spoiler-text {
  cursor: pointer;
  font-size: 10px;
}

.label,
.side-label {
  margin-top: 2rem;
  margin-bottom: 1rem;
}

.label {
  font-size: 1.5rem;
}

.first-label {
  font-size: 1.5rem;
}

.external-links {
  justify-content: center;
  background: #044669;
}
.external-links a {
  text-decoration: none;
  color: #e5e7ea;
  font-weight: bold;
}

.relations {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(auto-fit, 300px);
  box-sizing: border-box;
  // justify-content: space-between;
}

.relations .card {
  position: relative;
  display: flex;
  flex-direction: row;
  width: 100%;
}

.relations .card .cover {
  position: relative;
  width: 100px;
  text-decoration: none;
  color: #d8e1e5;
}

.relations .card .cover img {
  border-radius: 2%;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
}

.relations .card .cover .relation-type {
  position: absolute;
  box-sizing: border-box;
  width: 100%;
  bottom: 0 !important;
  padding: 10px;
  font-family: Overpass;
  display: flex;
  justify-content: center;
  background: rgba(31, 38, 49, 0.7);
}

.relations .relation-description {
  background: $base-bg-color;
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 0.5rem;
  justify-content: space-between;
  font-size: 12px;
  z-index: 0;
}

.relations .relation-description .upper {
  display: flex;
  flex-direction: column;
}

.characters {
  display: grid;
  gap: 1rem 1rem;
  grid-template-columns: repeat(auto-fit, 330px);
  box-sizing: border-box;
  justify-content: space-between;
}

.characters .card {
  display: flex;
  flex-direction: row;
}

.characters .card img {
  width: 70px;
}

.character-info {
  width: 100%;
  background: $base-bg-color;
  display: flex;
  font-size: 12px;
  padding: 0.5rem;
}

.character-info .info {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.staff-left {
  width: 1000% !important;
}

.right {
  align-items: flex-end;
  text-align: end;
}

.watch {
  display: grid;
  gap: 3.33%;
  grid-template-columns: repeat(auto-fit, 22.5%);
}

.watch img {
  width: 100%;
}

@media (min-width: 426px) and (max-width: 768px) {
  .cover-image {
    left: 3rem;
  }
  .content,
  .tabs {
    margin-left: 40%;
    width: 60%;
  }
  .full-data {
    max-width: 760px;
  }
  .left-side-container {
    width: 15%;
  }
  .relations {
    grid-template-columns: repeat(auto-fit, 200px);
  }
  .characters {
    grid-template-columns: repeat(auto-fit, calc(100% / 2.1));
    justify-content: space-evenly;
  }
}

@media (max-width: 768px) {
  .cover-image {
    left: 1rem;
  }
  .content,
  .tabs {
    margin-left: 35%;
    width: 60%;
  }
  .full-data {
    max-width: 760px;
  }
  .left-side-container {
    width: 15%;
  }
  .relations {
    grid-template-columns: repeat(auto-fit, 200px);
  }
  .characters {
    grid-template-columns: repeat(auto-fit, calc(100% / 2.1));
    justify-content: space-evenly;
  }
}

@media (max-width: 767px) {
  .banner {
    width: 100%;
    margin: 0;
  }
  .cover-image {
    top: 1rem;
    left: 1rem;
    width: 100px;
  }
  .content {
    margin: 1rem;
    max-width: 400px;
  }
  .content h1,
  .content h4 {
    margin-left: 57%;
    width: 180px;
  }
  .content h1 {
    font-size: 1rem;
    line-height: 1.2;
  }

  .content h4 {
    font-size: 0.8rem;
  }

  .content p {
    margin-top: 100px;
    width: 300px;
  }
  .tabs {
    margin: 0;
    padding: 1rem;
  }
  .full-data {
    max-width: 300px;
    width: 100%;
    flex-direction: column-reverse;
  }

  .watch {
    margin-bottom: 7rem !important;
    grid-template-columns: 1fr;
  }
  .trailer {
    margin-bottom: 2rem !important;
  }
  .left-side-container {
    width: 270px;
  }
  .relations {
    grid-template-columns: repeat(auto-fit, 1fr);
  }
  .characters {
    grid-template-columns: repeat(auto-fit, 300px);
  }
  .trailer {
    width: 100%;
  }
}
